Package org.springframework.http

# Class MediaTypeEditor

java.lang.Object
java.beans.PropertyEditorSupport
org.springframework.http.MediaTypeEditor

All Implemented Interfaces:
  `PropertyEditor`

public class MediaTypeEditor extends PropertyEditorSupport
`Editor` for `MediaType` descriptors, to automatically convert `String` specifications (for example, `"text/html"`) to `MediaType` properties.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  - `MediaType`

## Constructor Summary

Constructors
Constructor
Description
`MediaTypeEditor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAsText()`
`void`
`setAsText(String text)`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MediaTypeEditor

public MediaTypeEditor()

## Method Details

### setAsText

public void setAsText(String text)

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`

### getAsText

public String getAsText()

Specified by:
  `getAsText` in interface `PropertyEditor`
Overrides:
  `getAsText` in class `PropertyEditorSupport`